aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpd/src/configure1353
-rw-r--r--pd/src/configure.in104
-rw-r--r--pd/src/makefile291
-rw-r--r--pd/src/s_audio_oss.c11
-rw-r--r--pd/src/s_loader.c2
-rw-r--r--pd/src/s_stuff.h4
6 files changed, 1660 insertions, 105 deletions
diff --git a/pd/src/configure b/pd/src/configure
index 30c377dd..e599b311 100755
--- a/pd/src/configure
+++ b/pd/src/configure
@@ -4075,7 +4075,13 @@ fi
-if test "${ac_cv_header_tcl_h+set}" = set; then
+#AC_CHECK_HEADER(tcl.h,, echo "no tcl/tk header found" || exit 1)
+
+
+foundit=no
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl_h+set}" = set; then
echo "$as_me:$LINENO: checking for tcl.h" >&5
echo $ECHO_N "checking for tcl.h... $ECHO_C" >&6
if test "${ac_cv_header_tcl_h+set}" = set; then
@@ -4177,9 +4183,1329 @@ echo "${ECHO_T}$ac_cv_header_tcl_h" >&6
fi
if test $ac_cv_header_tcl_h = yes; then
- :
+ foundit=yes
+fi
+
+
+fi
+
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl8_7_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for tcl8.7/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.7/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_7_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_7_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_7_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl8.7/tcl.h usability" >&5
+echo $ECHO_N "checking tcl8.7/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl8.7/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl8.7/tcl.h presence" >&5
+echo $ECHO_N "checking tcl8.7/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl8.7/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: tcl8.7/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl8.7/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.7/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.7/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: tcl8.7/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl8.7/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.7/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl8.7/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.7/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.7/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl8.7/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.7/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_7_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_tcl8_7_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_7_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_7_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl8_7_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.7";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header__usr_local_include_tcl8_7_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.7/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.7/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_7_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.7/tcl.h usability" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.7/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include </usr/local/include/tcl8.7/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.7/tcl.h presence" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.7/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include </usr/local/include/tcl8.7/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
else
- echo "no tcl/tk header found" || exit 1
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.7/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.7/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_7_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__usr_local_include_tcl8_7_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&6
+
+fi
+if test $ac_cv_header__usr_local_include_tcl8_7_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.7 -I/usr/local/include/tk8.7";LIBS="$LIBS -ltcl87 -ltk87";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl8_6_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for tcl8.6/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.6/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_6_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_6_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_6_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl8.6/tcl.h usability" >&5
+echo $ECHO_N "checking tcl8.6/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl8.6/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl8.6/tcl.h presence" >&5
+echo $ECHO_N "checking tcl8.6/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl8.6/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: tcl8.6/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl8.6/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.6/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.6/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: tcl8.6/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl8.6/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.6/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl8.6/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.6/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.6/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl8.6/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.6/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_6_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_tcl8_6_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_6_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_6_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl8_6_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.6";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header__usr_local_include_tcl8_6_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.6/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.6/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_6_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.6/tcl.h usability" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.6/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include </usr/local/include/tcl8.6/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.6/tcl.h presence" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.6/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include </usr/local/include/tcl8.6/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.6/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.6/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_6_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__usr_local_include_tcl8_6_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&6
+
+fi
+if test $ac_cv_header__usr_local_include_tcl8_6_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.6 -I/usr/local/include/tk8.6";LIBS="$LIBS -ltcl86 -ltk86";foundit=yes
+fi
+
+
+fi
+
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl8_5_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for tcl8.5/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.5/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_5_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_5_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_5_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl8.5/tcl.h usability" >&5
+echo $ECHO_N "checking tcl8.5/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl8.5/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl8.5/tcl.h presence" >&5
+echo $ECHO_N "checking tcl8.5/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl8.5/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: tcl8.5/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl8.5/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.5/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.5/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: tcl8.5/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl8.5/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.5/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl8.5/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.5/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.5/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl8.5/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.5/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_5_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_tcl8_5_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_5_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_5_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl8_5_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.5";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header__usr_local_include_tcl8_5_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.5/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.5/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_5_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.5/tcl.h usability" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.5/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include </usr/local/include/tcl8.5/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.5/tcl.h presence" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.5/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include </usr/local/include/tcl8.5/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.5/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.5/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_5_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__usr_local_include_tcl8_5_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&6
+
+fi
+if test $ac_cv_header__usr_local_include_tcl8_5_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.5 -I/usr/local/include/tk8.5";LIBS="$LIBS -ltcl85 -ltk85";foundit=yes
+fi
+
+
+fi
+
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl8_4_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for tcl8.4/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.4/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_4_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_4_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_4_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl8.4/tcl.h usability" >&5
+echo $ECHO_N "checking tcl8.4/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl8.4/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl8.4/tcl.h presence" >&5
+echo $ECHO_N "checking tcl8.4/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl8.4/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: tcl8.4/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl8.4/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.4/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.4/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: tcl8.4/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl8.4/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.4/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl8.4/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.4/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.4/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl8.4/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.4/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_4_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_tcl8_4_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_4_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_4_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl8_4_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.4";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header__usr_local_include_tcl8_4_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.4/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.4/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_4_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.4/tcl.h usability" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.4/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include </usr/local/include/tcl8.4/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.4/tcl.h presence" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.4/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include </usr/local/include/tcl8.4/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.4/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.4/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_4_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__usr_local_include_tcl8_4_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&6
+
+fi
+if test $ac_cv_header__usr_local_include_tcl8_4_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.4 -I/usr/local/include/tk8.4";LIBS="$LIBS -ltcl84 -ltk84";foundit=yes
+fi
+
+
+fi
+
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl8_3_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for tcl8.3/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.3/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_3_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_3_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_3_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl8.3/tcl.h usability" >&5
+echo $ECHO_N "checking tcl8.3/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl8.3/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl8.3/tcl.h presence" >&5
+echo $ECHO_N "checking tcl8.3/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl8.3/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: tcl8.3/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl8.3/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.3/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.3/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: tcl8.3/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl8.3/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.3/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl8.3/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.3/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.3/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl8.3/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.3/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_3_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_tcl8_3_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_3_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_3_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl8_3_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.3";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header__usr_local_include_tcl8_3_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.3/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.3/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_3_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.3/tcl.h usability" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.3/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include </usr/local/include/tcl8.3/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.3/tcl.h presence" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.3/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include </usr/local/include/tcl8.3/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.3/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.3/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_3_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__usr_local_include_tcl8_3_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&6
+
+fi
+if test $ac_cv_header__usr_local_include_tcl8_3_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.3 -I/usr/local/include/tk8.3";LIBS="$LIBS -ltcl83 -ltk83";foundit=yes
+fi
+
+
+fi
+
+if test $foundit == "no";
+then
+ if test "${ac_cv_header_tcl8_2_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for tcl8.2/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.2/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_2_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_2_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_2_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl8.2/tcl.h usability" >&5
+echo $ECHO_N "checking tcl8.2/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl8.2/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl8.2/tcl.h presence" >&5
+echo $ECHO_N "checking tcl8.2/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl8.2/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: tcl8.2/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl8.2/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.2/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.2/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: tcl8.2/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl8.2/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.2/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl8.2/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: tcl8.2/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl8.2/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl8.2/tcl.h" >&5
+echo $ECHO_N "checking for tcl8.2/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl8_2_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_tcl8_2_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl8_2_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl8_2_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl8_2_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.2";foundit=yes
+fi
+
+
+fi
+if test $foundit == "no";
+then
+ if test "${ac_cv_header__usr_local_include_tcl8_2_tcl_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.2/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.2/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_2_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.2/tcl.h usability" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.2/tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include </usr/local/include/tcl8.2/tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking /usr/local/include/tcl8.2/tcl.h presence" >&5
+echo $ECHO_N "checking /usr/local/include/tcl8.2/tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include </usr/local/include/tcl8.2/tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.2/tcl.h" >&5
+echo $ECHO_N "checking for /usr/local/include/tcl8.2/tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header__usr_local_include_tcl8_2_tcl_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__usr_local_include_tcl8_2_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&6
+
+fi
+if test $ac_cv_header__usr_local_include_tcl8_2_tcl_h = yes; then
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.2 -I/usr/local/include/tk8.2";LIBS="$LIBS -ltcl82 -ltk82";foundit=yes
+fi
+
+
+fi
+
+if test $foundit == "no";
+then
+ echo no tcl header found
+ exit -1
fi
@@ -5059,6 +6385,27 @@ then
OSNUMBER=0
fi
+if test `uname -s` = FreeBSD;
+then
+ LDFLAGS="-Wl,-export-dynamic -L/usr/local/lib -L/usr/local/lib/pth -lpthread"
+ LIBS="$LIBS -L/usr/local/lib"
+ EXT=pd_linux
+ MORECFLAGS="-DDL_OPEN -DUSEAPI_OSS"
+ CFLAGS="$CFLAGS -I/usr/local/include"
+ SYSSRC="s_midi_oss.c s_audio_oss.c "
+ STRIPFLAG=-s
+ GUINAME="pd-gui"
+ GUIFLAGS="$GUIFLAGS -I/usr/X11R6/include -I/usr/local/include"
+ if test $USE_OPT_CFLAGS == "YES";
+ then
+ OPT_CFLAGS="-O6 -funroll-loops -fomit-frame-pointer"
+ else
+ OPT_CFLAGS="-g"
+ fi
+ OSNUMBER=0
+fi
+
+
if test `uname -s` = IRIX64;
then
diff --git a/pd/src/configure.in b/pd/src/configure.in
index 52d45609..84d6d788 100644
--- a/pd/src/configure.in
+++ b/pd/src/configure.in
@@ -80,7 +80,87 @@ AC_CHECK_LIB(X11, XCreateWindow, LIBS="$LIBS -lX11 -L$x_libraries",
dnl look for tcl 8.x... do I really have to go through all this!?
-AC_CHECK_HEADER(tcl.h,, echo "no tcl/tk header found" || exit 1)
+#AC_CHECK_HEADER(tcl.h,, echo "no tcl/tk header found" || exit 1)
+
+
+foundit=no
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl.h,foundit=yes,)
+fi
+
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl8.7/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.7";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(/usr/local/include/tcl8.7/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.7 -I/usr/local/include/tk8.7";LIBS="$LIBS -ltcl87 -ltk87";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl8.6/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.6";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(/usr/local/include/tcl8.6/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.6 -I/usr/local/include/tk8.6";LIBS="$LIBS -ltcl86 -ltk86";foundit=yes,)
+fi
+
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl8.5/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.5";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(/usr/local/include/tcl8.5/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.5 -I/usr/local/include/tk8.5";LIBS="$LIBS -ltcl85 -ltk85";foundit=yes,)
+fi
+
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl8.4/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.4";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(/usr/local/include/tcl8.4/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.4 -I/usr/local/include/tk8.4";LIBS="$LIBS -ltcl84 -ltk84";foundit=yes,)
+fi
+
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl8.3/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.3";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(/usr/local/include/tcl8.3/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.3 -I/usr/local/include/tk8.3";LIBS="$LIBS -ltcl83 -ltk83";foundit=yes,)
+fi
+
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(tcl8.2/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/include/tcl8.2";foundit=yes,)
+fi
+if test $foundit == "no";
+then
+ AC_CHECK_HEADER(/usr/local/include/tcl8.2/tcl.h,
+ GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.2 -I/usr/local/include/tk8.2";LIBS="$LIBS -ltcl82 -ltk82";foundit=yes,)
+fi
+
+if test $foundit == "no";
+then
+ echo no tcl header found
+ exit -1
+fi
+
+
AC_CHECK_LIB(tcl8.7, main,,
AC_CHECK_LIB(tcl8.6, main,,
@@ -136,6 +216,28 @@ then
OSNUMBER=0
fi
+dnl FreeBSD hack
+if test `uname -s` = FreeBSD;
+then
+ LDFLAGS="-Wl,-export-dynamic -L/usr/local/lib -L/usr/local/lib/pth -lpthread"
+ LIBS="$LIBS -L/usr/local/lib"
+ EXT=pd_linux
+ MORECFLAGS="-DDL_OPEN -DUSEAPI_OSS"
+ CFLAGS="$CFLAGS -I/usr/local/include"
+ SYSSRC="s_midi_oss.c s_audio_oss.c "
+ STRIPFLAG=-s
+ GUINAME="pd-gui"
+ GUIFLAGS="$GUIFLAGS -I/usr/X11R6/include -I/usr/local/include"
+ if test $USE_OPT_CFLAGS == "YES";
+ then
+ OPT_CFLAGS="-O6 -funroll-loops -fomit-frame-pointer"
+ else
+ OPT_CFLAGS="-g"
+ fi
+ OSNUMBER=0
+fi
+
+
dnl **** note -- SGI/IRIX code is broken here!!! ***
if test `uname -s` = IRIX64;
diff --git a/pd/src/makefile b/pd/src/makefile
index 8b7a7246..8f060d05 100644
--- a/pd/src/makefile
+++ b/pd/src/makefile
@@ -1,24 +1,69 @@
-# Makefile for PD on MSW
+VPATH = ../obj:./
+OBJ_DIR = ../obj
+BIN_DIR = ../bin
+PDEXEC = $(BIN_DIR)/pd
+EXT= pd_linux
+GUINAME= pd-gui
-all: pd gui ..\bin\pd.tk ..\bin\pdsend.exe ..\bin\pdreceive.exe
+INSTALL_PREFIX = /usr/local
+GFLAGS = -DINSTALL_PREFIX=\"$(INSTALL_PREFIX)\"
-VC = "C:\Program Files\Microsoft Visual Studio\VC98"
-#VC="\Program Files\DevStudio\Vc"
-INCLUDE = -I.\ -I..\Tcl\include -I$(VC)\include
+# there should be a better way to do this...
+prefix = /usr/local
+MANDIR = ${prefix}/man
-LDIR = $(VC)\lib
+# ALSA compilation
-LIB = /NODEFAULTLIB:libc /NODEFAULTLIB:oldnames /NODEFAULTLIB:kernel \
- /NODEFAULTLIB:uuid \
- $(LDIR)\libc.lib $(LDIR)\oldnames.lib $(LDIR)\kernel32.lib \
- $(LDIR)\wsock32.lib $(LDIR)\winmm.lib ..\bin\pthreadVC.lib
+SOUND_ALSA =
-GLIB = $(LIB) ..\bin\tcl83.lib ..\bin\tk83.lib
-CFLAGS = /nologo /W3 /DMSW /DNT /DPD /DPD_INTERNAL /DWIN32 /DWINDOWS /Ox \
- -DPA_LITTLE_ENDIAN -DUSEAPI_MMIO -DUSEAPI_PORTAUDIO
-LFLAGS = /nologo
+DEFINES =
+MORECFLAGS = -DDL_OPEN -DUSEAPI_OSS
-SYSSRC = s_audio_pa.c s_audio_mmio.c s_midi_pm.c
+INCLUDE = -I.
+GINCLUDE = $(INCLUDE) -I/usr/local/include/tcl8.4 -I/usr/local/include/tk8.4 -I/usr/X11R6/include -I/usr/local/include
+GLIB = -lX11 -L/usr/X11R6/lib -ltcl84 -ltk84 -L/usr/local/lib
+
+LDFLAGS = -Wl,-export-dynamic -L/usr/local/lib -L/usr/local/lib/pth -lpthread
+LIB = -lm
+
+#select either the DBG and OPT compiler flags below:
+OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
+WARN_CFLAGS = -Wall -W -Wstrict-prototypes -Werror \
+ -Wno-unused -Wno-parentheses -Wno-switch
+ARCH_CFLAGS = -DPD -DUNIX
+
+CFLAGS = $(ARCH_CFLAGS) $(WARN_CFLAGS) $(OPT_CFLAGS) $(DEFINES) $(MORECFLAGS)
+
+# you might want ALSA linked in non-shared because
+# many Linux machines don't have the ALSA shared library. To link
+# ALSA non-shared, move the # sign below.
+
+ifeq (${SOUND_ALSA},yes)
+CFLAGS += -DPA_USE_ALSA -DUSEAPI_ALSA
+SYSSRC += s_audio_alsa.c \
+ ../portaudio/pa_linux_alsa/callback_thread.c \
+ ../portaudio/pa_linux_alsa/pa_linux_alsa.c \
+ ../portaudio/pa_linux_alsa/blocking_calls.c
+endif
+
+# Which system
+
+SYSTEM = $(shell uname -m)
+
+ifeq (${SYSTEM},alpha)
+#LIB += -lffm -lm
+CFLAGS += -mieee -mcpu=ev56
+endif
+
+# Which compiler
+
+ifeq (${CC},ccc)
+CFLAGS += -g3 -D__COMPAQC__ -arch host
+endif
+
+# the sources
+
+SYSSRC += s_midi_oss.c s_audio_oss.c
SRC = g_canvas.c g_graph.c g_text.c g_rtext.c g_array.c g_template.c g_io.c \
g_scalar.c g_traversal.c g_guiconnect.c g_readwrite.c g_editor.c \
@@ -35,97 +80,143 @@ SRC = g_canvas.c g_graph.c g_text.c g_rtext.c g_array.c g_template.c g_io.c \
x_time.c x_acoustics.c x_net.c x_qlist.c x_gui.c d_soundfile.c \
$(SYSSRC)
-PADIR = ..\portaudio
-INCPA = -I$(PADIR) -I$(PADIR)\pa_common -I$(PADIR)\pablio -I..\lib\asio
-SRCPA = $(PADIR)/pa_common/pa_lib.c $(PADIR)/pa_common/pa_trace.c \
- $(PADIR)/pablio/pablio_pd.c $(PADIR)/pablio/ringbuffer_pd.c
-SRCASIO = $(PADIR)/pa_asio/pa_asio.cpp
-ASIOLIB = $(LDIR)\user32.lib $(LDIR)\gdi32.lib $(LDIR)\winspool.lib $(LDIR)\comdlg32.lib \
-$(LDIR)\advapi32.lib $(LDIR)\shell32.lib $(LDIR)\ole32.lib $(LDIR)\oleaut32.lib $(LDIR)\uuid.lib \
-$(LDIR)\odbc32.lib $(LDIR)\odbccp32.lib ..\lib\asio\asiolib.lib
+OBJ = $(SRC:.c=.o)
+EXTERNS = ../extra/*/*.$(EXT)
+GSRC = t_main.c t_tkcmd.c
+
+GOBJ = $(GSRC:.c=.o)
+
+#
+# ------------------ targets ------------------------------------
+#
+
+.PHONY: pd gui externs all
+
+all: $(PDEXEC) $(BIN_DIR)/pd-watchdog $(BIN_DIR)/$(GUINAME) $(BIN_DIR)/pdsend \
+ $(BIN_DIR)/pdreceive $(BIN_DIR)/pd.tk externs
+
+bin: $(PDEXEC) $(BIN_DIR)/pd-watchdog $(BIN_DIR)/$(GUINAME) $(BIN_DIR)/pdsend \
+ $(BIN_DIR)/pdreceive $(BIN_DIR)/pd.tk
+
+$(OBJ) : %.o : %.c
+ $(CC) $(CFLAGS) $(GFLAGS) $(INCLUDE) -c -o $(OBJ_DIR)/$*.o $*.c
+
+$(GOBJ) : %.o : %.c
+ $(CC) $(CFLAGS) $(GFLAGS) $(GINCLUDE) -c -o $(OBJ_DIR)/$*.o $*.c
+
+pd: $(PDEXEC)
+
+gui: $(BIN_DIR)/$(GUINAME)
+
+pd-watchdog: $(BIN_DIR)/pd-watchdog
+
+$(BIN_DIR)/pd-watchdog: s_watchdog.c
+ cc -O2 $(STRIPFLAG) -o $(BIN_DIR)/pd-watchdog s_watchdog.c
+
+$(BIN_DIR)/pdsend: u_pdsend.c
+ cc $(CFLAGS) $(STRIPFLAG) -o $(BIN_DIR)/pdsend u_pdsend.c
+
+$(BIN_DIR)/pdreceive: u_pdreceive.c
+ cc $(CFLAGS) $(STRIPFLAG) -o $(BIN_DIR)/pdreceive u_pdreceive.c
+
+$(PDEXEC): $(OBJ)
+ cd ../obj; $(CC) $(LDFLAGS) $(DBG_CFLAGS) -o $(PDEXEC) $(OBJ) \
+ $(LIB)
+
+$(BIN_DIR)/pd-gui: $(GOBJ) $(GSRC)
+ cd ../obj; $(CC) $(INCLUDE) -o $(BIN_DIR)/$(GUINAME) $(GOBJ) \
+ $(GLIB)
+
+$(BIN_DIR)/pd.tk: u_main.tk
+ echo set pd_nt 0 > $(BIN_DIR)/pd.tk
+ grep -v "set pd_nt" < u_main.tk >> $(BIN_DIR)/pd.tk
+
+#this is for Max OSX only...
+$(BIN_DIR)/pdtcl: $(GOBJ) $(GSRC)
+ cd ../obj; libtool -dynamic -o $(BIN_DIR)/pdtcl $(GOBJ) \
+ /Library/Frameworks/Tk.framework/Versions/Current/Tk \
+ /Library/Frameworks/Tcl.framework/Versions/Current/Tcl \
+ /usr/lib/libSystem.B.dylib
+
+externs:
+ cd ../extra/bonk~;make
+ cd ../extra/choice;make
+ cd ../extra/expr~;make
+ cd ../extra/fiddle~;make
+ cd ../extra/loop~;make
+ cd ../extra/lrshift~;make
+ cd ../extra/pique;make
+
+INSTDIR = $(DESTDIR)/$(INSTALL_PREFIX)
+MANINSTDIR = $(DESTDIR)/$(MANDIR)
+
+install: all
+ install -d $(INSTDIR)/lib/pd/bin
+ install $(BIN_DIR)/$(GUINAME) $(INSTDIR)/lib/pd/bin/$(GUINAME)
+ install $(BIN_DIR)/pd-watchdog $(INSTDIR)/lib/pd/bin/pd-watchdog
+ install -m644 $(BIN_DIR)/pd.tk $(INSTDIR)/lib/pd/bin/pd.tk
+ install -d $(INSTDIR)/bin
+ install -m755 $(PDEXEC) $(INSTDIR)/bin/pd
+ install -m 755 $(BIN_DIR)/pdsend $(INSTDIR)/bin/pdsend
+ install -m 755 $(BIN_DIR)/pdreceive $(INSTDIR)/bin/pdreceive
+ install -d $(INSTDIR)/lib/pd/extra
+ install -d $(INSTDIR)/lib/pd/externs
+ install -m 644 $(EXTERNS) $(INSTDIR)/lib/pd/extra
+ cp -r ../doc $(INSTDIR)/lib/pd/
+ install -d $(INSTDIR)/include
+ install -m644 m_pd.h $(INSTDIR)/include/m_pd.h
+ install -d $(MANINSTDIR)/man1
+ gzip < ../man/pd.1 > $(MANINSTDIR)/man1/pd.1.gz
+ chmod 644 $(MANINSTDIR)/man1/pd.1.gz
+ gzip < ../man/pdsend.1 > $(MANINSTDIR)/man1/pdsend.1.gz
+ chmod 644 $(MANINSTDIR)/man1/pdsend.1.gz
+ gzip < ../man/pdreceive.1 > $(MANINSTDIR)/man1/pdreceive.1.gz
+ chmod 644 $(MANINSTDIR)/man1/pdreceive.1.gz
+
+local-clean:
+ -rm -f ../obj/* $(BIN_DIR)/pd $(BIN_DIR)/$(GUINAME) $(BIN_DIR)/pdsend \
+ $(BIN_DIR)/pdreceive $(BIN_DIR)/pd-watchdog m_stamp.c
+ -rm -f *~
+ -rm -f $(BIN_DIR)/pdsend $(BIN_DIR)/pdreceive
+ -(cd ../doc/6.externs; rm -f *.pd_linux)
+ -rm -f makefile.dependencies
+ touch makefile.dependencies
+ chmod 666 makefile.dependencies
+
+extra-clean:
+ -rm -f `find ../extra/ -name "*.pd_*"`
+ -rm -f tags
+
+clean: extra-clean local-clean
+
+distclean: clean
+ -rm config.cache config.log config.status makefile tags
+ echo all: > makefile
+ echo -e "\t./configure" >> makefile
+ echo -e "\tmake" >> makefile
+
+tags: $(SRC) $(GSRC); ctags *.[ch]
+
+depend:
+ $(CC) $(INCLUDE) $(CFLAGS) -M $(SRC) > makefile.dependencies
+
+uninstall:
+ -rm -r $(INSTDIR)/lib/pd
+ -rm $(INSTDIR)/bin/pd
+ -rm $(INSTDIR)/bin/pdsend
+ -rm $(INSTDIR)/bin/pdreceive
+ -rm $(INSTDIR)/include/m_pd.h
+ -rm $(MANINSTDIR)/man/man1/pd.1.gz
+ -rm $(MANINSTDIR)/man/man1/pdsend.1.gz
+ -rm $(MANINSTDIR)/man/man1/pdreceive.1.gz
+
+include makefile.dependencies
-PAOBJ = pa_lib.obj pa_trace.obj pablio_pd.obj ringbuffer_pd.obj pa_asio.obj
-PMDIR = ..\portmidi
-INCPM = -I$(PMDIR)\pm_common -I$(PMDIR)\pm_win -I$(PMDIR)\porttime
-SRCPM = \
- $(PMDIR)/pm_common/portmidi.c \
- $(PMDIR)/pm_common/pmutil.c \
- $(PMDIR)/pm_win/pmwin.c \
- $(PMDIR)/pm_win/pmwinmm.c \
- $(PMDIR)/porttime/porttime.c \
- $(PMDIR)/porttime/ptwinmm.c \
-PMOBJ = portmidi.obj pmutil.obj pmwin.obj pmwinmm.obj porttime.obj ptwinmm.obj
-OBJC = $(SRC:.c=.obj) $(PAOBJ) $(PMOBJ)
-GSRC = t_main.c t_tkcmd.c
-GOBJ = $(GSRC:.c=.obj)
-.PHONY: pd gui
-
-ALLCF = $(CFLAGS) $(INCLUDE) $(INCASIO) $(INCPA) $(INCPM) /D_WINDOWS /DPA_NO_DS
-
-.c.obj:
- cl /c $(ALLCF) /Tc$*.c
-
-pd: ..\bin\pd.exe
-
-gui: ..\bin\pdtcl.dll
-
-..\bin\pd.exe: s_entry.obj ..\bin\pd.lib
- link $(LFLAGS) /out:..\bin\pd.exe /INCREMENTAL:NO s_entry.obj \
- ..\bin\pd.lib $(LIB) $(ASIOLIB)
-
-..\bin\pd.dll ..\bin\pd.lib: $(OBJC) $(OBJASIO)
- link $(LFLAGS) /dll /export:sys_main /out:..\bin\pd.dll $(OBJC) \
- $(OBJASIO) $(LIB) $(ASIOLIB)
-
-..\bin\pdtcl.dll: t_tkcmd.obj
- link $(LFLAGS) /dll /export:Pdtcl_Init /out:..\bin\pdtcl.dll \
- t_tkcmd.obj $(GLIB)
-
-..\bin\pd.tk: u_main.tk; copy u_main.tk ..\bin\pd.tk
-
-..\bin\pdsend.exe: u_pdsend.obj
- link $(LFLAGS) /out:..\bin\pdsend.exe /INCREMENTAL:NO u_pdsend.obj \
- $(LIB)
-
-..\bin\pdreceive.exe: u_pdreceive.obj
- link $(LFLAGS) /out:..\bin\pdreceive.exe /INCREMENTAL:NO u_pdreceive.obj \
- $(LIB)
-
-# explicit rules to compile portaudio and portmidi sources:
-pa_lib.obj: $(PADIR)\pa_common\pa_lib.c
- cl /c $(ALLCF) $(PADIR)\pa_common\pa_lib.c
-pa_trace.obj: $(PADIR)\pa_common\pa_trace.c
- cl /c $(ALLCF) $(PADIR)\pa_common\pa_trace.c
-pablio_pd.obj: $(PADIR)\pablio\pablio_pd.c
- cl /c $(ALLCF) $(PADIR)\pablio\pablio_pd.c
-ringbuffer_pd.obj: $(PADIR)\pablio\ringbuffer_pd.c
- cl /c $(ALLCF) $(PADIR)\pablio\ringbuffer_pd.c
-
-pa_asio.obj: $(PADIR)\pa_asio\pa_asio.cpp
- cl /c $(ALLCF) $(PADIR)\pa_asio\pa_asio.cpp
-
-portmidi.obj: $(PMDIR)\pm_common\portmidi.c
- cl /c $(ALLCF) $(PMDIR)\pm_common\portmidi.c
-pmutil.obj: $(PMDIR)\pm_common\pmutil.c
- cl /c $(ALLCF) $(PMDIR)\pm_common\pmutil.c
-pmwin.obj: $(PMDIR)\pm_win\pmwin.c
- cl /c $(ALLCF) $(PMDIR)\pm_win\pmwin.c
-pmwinmm.obj: $(PMDIR)\pm_win\pmwinmm.c
- cl /c $(ALLCF) $(PMDIR)\pm_win\pmwinmm.c
-porttime.obj: $(PMDIR)\porttime\porttime.c
- cl /c $(ALLCF) $(PMDIR)\porttime\porttime.c
-ptwinmm.obj: $(PMDIR)\porttime\ptwinmm.c
- cl /c $(ALLCF) $(PMDIR)\porttime\ptwinmm.c
-
-# the following should also clean up "bin" but it doesn't because "bin" holds
-# precious stuff from elsewhere.
-clean:
- del *.obj
diff --git a/pd/src/s_audio_oss.c b/pd/src/s_audio_oss.c
index b612b458..05d7d26b 100644
--- a/pd/src/s_audio_oss.c
+++ b/pd/src/s_audio_oss.c
@@ -5,7 +5,18 @@
/* this file inputs and outputs audio using the OSS API available on linux. */
+#ifdef __linux__
#include <linux/soundcard.h>
+#endif
+
+#ifdef __FreeBSD__
+#include <sys/soundcard.h>
+#include <sys/mman.h>
+#endif
+
+
+
+
#include "m_pd.h"
#include "s_stuff.h"
diff --git a/pd/src/s_loader.c b/pd/src/s_loader.c
index c210206c..3b80eaad 100644
--- a/pd/src/s_loader.c
+++ b/pd/src/s_loader.c
@@ -25,7 +25,7 @@ typedef void (*t_xxx)(void);
static char sys_dllextent[] =
#ifdef __FreeBSD__
- ".pd_freebsd";
+ ".pd_linux";
#endif
#ifdef IRIX
#ifdef N32
diff --git a/pd/src/s_stuff.h b/pd/src/s_stuff.h
index 7a827b8b..e967d9a3 100644
--- a/pd/src/s_stuff.h
+++ b/pd/src/s_stuff.h
@@ -135,6 +135,10 @@ void sys_setvirtualalarm( void);
#define API_DEFAULT API_OSS
#define API_DEFSTRING "OSS"
#endif
+#ifdef __FreeBSD__
+#define API_DEFAULT API_OSS
+#define API_DEFSTRING "OSS"
+#endif
#ifdef MSW
#define API_DEFAULT API_MMIO
#define API_DEFSTRING "MMIO"